
TYPO3.Flow - Bug # 41418

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Package
Created: 2012-09-27 Assigned To: Karsten Dambekalns
Updated: 2012-09-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: Manifestpath detection broken, exception in production context
Description

In production context class loading fails because the classloader has a wrong map for namespaces. This is caused by
getNamespace() doing the wrong thing - because it finds no composer manifest. See screenshot for why.

Related issues:
related to TYPO3 Flow Base Distribution - Story # 41031: Composer support for... Resolved 2012-09-17

Associated revisions
Revision d010f920 - 2012-09-28 13:54 - Karsten Dambekalns

[BUGFIX] Fix package / manifest detection

In production context class loading fails because the classloader has a
wrong map for namespaces. This is caused by getNamespace() doing the
wrong thing - because it finds no composer manifest.

This change fixes this.

Change-Id: I2e657ed9c09975192ae78b28e55985aeb24902a4
Fixes: #41418
Releases: 1.2

History
#1 - 2012-09-27 20:25 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15115

#2 - 2012-09-27 20:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15115

#3 - 2012-09-27 21:20 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15115

#4 - 2012-09-27 21:45 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15115

#5 - 2012-09-28 13:54 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15115

#6 - 2012-09-28 14:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d010f9205be95cde69d901070d5858a55f1ec9af.

Files
manifestpath-error.png 419 kB 2012-09-27 Karsten Dambekalns

2015-08-03 2/2

http://review.typo3.org/15115
http://review.typo3.org/15115
http://review.typo3.org/15115

